Index: branches/RWT/modules/vci_mem_cache/caba/source/include/update_tab.h
===================================================================
--- branches/RWT/modules/vci_mem_cache/caba/source/include/update_tab.h	(revision 767)
+++ branches/RWT/modules/vci_mem_cache/caba/source/include/update_tab.h	(revision 814)
@@ -8,5 +8,5 @@
 
 ////////////////////////////////////////////////////////////////////////
-//                  An update tab entry    
+//                  An update tab entry
 ////////////////////////////////////////////////////////////////////////
 class UpdateTabEntry {
@@ -17,50 +17,50 @@
   public:
 
-  bool 	    valid;      // It is a valid pending transaction
-  bool	    update;     // It is an update transaction
-  bool      brdcast;    // It is a broadcast invalidate
-  bool      rsp;        // Response to the initiator required
-  bool      ack;        // Acknowledge to the CONFIG FSM required
-  size_t 	srcid;      // The srcid of the initiator which wrote the data
-  size_t 	trdid;      // The trdid of the initiator which wrote the data
-  size_t 	pktid;      // The pktid of the initiator which wrote the data
-  addr_t	nline;	    // The identifier of the cache line
-  size_t 	count;      // The number of acknowledge responses to receive
+  bool   valid;   // It is a valid pending transaction
+  bool   update;  // It is an update transaction
+  bool   brdcast; // It is a broadcast invalidate
+  bool   rsp;     // Response to the initiator required
+  bool   ack;     // Acknowledge to the CONFIG FSM required
+  size_t srcid;   // The srcid of the initiator which wrote the data
+  size_t trdid;   // The trdid of the initiator which wrote the data
+  size_t pktid;   // The pktid of the initiator which wrote the data
+  addr_t nline;   // The identifier of the cache line
+  size_t count;   // The number of acknowledge responses to receive
 
   UpdateTabEntry()
   {
-    valid	= false;
+    valid   = false;
     update  = false;
     brdcast = false;
     rsp     = false;
     ack     = false;
-    srcid	= 0;
-    trdid	= 0;
-    pktid	= 0;
-    nline	= 0;
-    count	= 0;
-  }
-
-  UpdateTabEntry(bool   i_valid, 
+    srcid   = 0;
+    trdid   = 0;
+    pktid   = 0;
+    nline   = 0;
+    count   = 0;
+  }
+
+  UpdateTabEntry(bool   i_valid,
                  bool   i_update,
                  bool   i_brdcast,
                  bool   i_rsp,
                  bool   i_ack,
-                 size_t i_srcid, 
-                 size_t i_trdid, 
-                 size_t i_pktid, 
+                 size_t i_srcid,
+                 size_t i_trdid,
+                 size_t i_pktid,
                  addr_t i_nline,
-                 size_t i_count) 
-  {
-    valid	= i_valid;
-    update	= i_update;
+                 size_t i_count)
+  {
+    valid   = i_valid;
+    update  = i_update;
     brdcast = i_brdcast;
     rsp     = i_rsp;
     ack     = i_ack;
-    srcid	= i_srcid;
-    trdid	= i_trdid;
-    pktid	= i_pktid;
-    nline	= i_nline;
-    count	= i_count;
+    srcid   = i_srcid;
+    trdid   = i_trdid;
+    pktid   = i_pktid;
+    nline   = i_nline;
+    count   = i_count;
   }
 
@@ -80,18 +80,18 @@
 
   ////////////////////////////////////////////////////
-  // The init() function initializes the entry 
+  // The init() function initializes the entry
   ///////////////////////////////////////////////////
   void init()
   {
-    valid  = false;
-    update = false;
-    brdcast= false;
-    rsp    = false;
-    ack    = false;
-    srcid  = 0;
-    trdid  = 0;
-    pktid  = 0;
-    nline  = 0;
-    count  = 0;
+    valid   = false;
+    update  = false;
+    brdcast = false;
+    rsp     = false;
+    ack     = false;
+    srcid   = 0;
+    trdid   = 0;
+    pktid   = 0;
+    nline   = 0;
+    count   = 0;
   }
 
@@ -116,16 +116,16 @@
 
   ////////////////////////////////////////////////////////////////////
-  // The print() function prints the entry  
+  // The print() function prints the entry
   ////////////////////////////////////////////////////////////////////
   void print()
   {
-    std::cout << " val = " << std::dec << valid 
-              << " / updt = " << update 
+    std::cout << " val = " << std::dec << valid
+              << " / updt = " << update
               << " / bc = " << brdcast
-              << " / rsp = " << rsp 
-              << " / ack = " << ack   
+              << " / rsp = " << rsp
+              << " / ack = " << ack
               << " / count = " << count
-              << " / srcid = " << std::hex << srcid 
-              << " / trdid = " << trdid   
+              << " / srcid = " << std::hex << srcid
+              << " / trdid = " << trdid
               << " / pktid = " << pktid
               << " / nline = " << nline  << std::endl;
@@ -134,5 +134,5 @@
 
 ////////////////////////////////////////////////////////////////////////
-//                        The update tab             
+//                        The update tab
 ////////////////////////////////////////////////////////////////////////
 class UpdateTab{
@@ -159,5 +159,5 @@
 
   ////////////////////////////////////////////////////////////////////
-  // The size() function returns the size of the tab  
+  // The size() function returns the size of the tab
   ////////////////////////////////////////////////////////////////////
   const size_t size()
@@ -167,10 +167,10 @@
 
   ////////////////////////////////////////////////////////////////////
-  // The print() function diplays the tab content 
+  // The print() function diplays the tab content
   ////////////////////////////////////////////////////////////////////
   void print()
   {
     std::cout << "UPDATE TABLE Content" << std::endl;
-    for(size_t i=0; i<size_tab; i++) 
+    for(size_t i=0; i<size_tab; i++)
     {
       std::cout << "[" << std::dec << i << "] ";
@@ -181,5 +181,5 @@
 
   /////////////////////////////////////////////////////////////////////
-  // The init() function initializes the tab 
+  // The init() function initializes the tab
   /////////////////////////////////////////////////////////////////////
   void init()
@@ -189,5 +189,5 @@
 
   /////////////////////////////////////////////////////////////////////
-  // The reads() function reads an entry 
+  // The reads() function reads an entry
   // Arguments :
   // - entry : the entry to read
@@ -211,5 +211,5 @@
   // This function returns true if the write successed (an entry was empty).
   ///////////////////////////////////////////////////////////////////////////
-  bool set(const bool	update,
+  bool set(const bool   update,
            const bool   brdcast,
            const bool   rsp,
@@ -222,19 +222,19 @@
            size_t       &index)
   {
-    for ( size_t i=0 ; i<size_tab ; i++ ) 
-    {
-      if( !tab[i].valid ) 
+    for ( size_t i=0 ; i<size_tab ; i++ )
+    {
+      if( !tab[i].valid )
       {
-        tab[i].valid		= true;
-        tab[i].update		= update;
-        tab[i].brdcast      = brdcast;
-        tab[i].rsp          = rsp;
-        tab[i].ack          = ack;
-        tab[i].srcid		= (size_t) srcid;
-        tab[i].trdid		= (size_t) trdid;
-        tab[i].pktid		= (size_t) pktid;
-        tab[i].nline		= (addr_t) nline;
-        tab[i].count		= (size_t) count;
-        index			    = i;
+        tab[i].valid   = true;
+        tab[i].update  = update;
+        tab[i].brdcast = brdcast;
+        tab[i].rsp     = rsp;
+        tab[i].ack     = ack;
+        tab[i].srcid   = (size_t) srcid;
+        tab[i].trdid   = (size_t) trdid;
+        tab[i].pktid   = (size_t) pktid;
+        tab[i].nline   = (addr_t) nline;
+        tab[i].count   = (size_t) count;
+        index          = i;
         return true;
       }
@@ -251,14 +251,14 @@
   /////////////////////////////////////////////////////////////////////
   bool decrement( const size_t index,
-                  size_t &counter ) 
+                  size_t &counter )
   {
     assert((index<size_tab) && "Bad Update Tab Entry");
-    if ( tab[index].valid ) 
+    if ( tab[index].valid )
     {
       tab[index].count--;
       counter = tab[index].count;
       return true;
-    } 
-    else 
+    }
+    else
     {
       return false;
@@ -298,5 +298,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].rsp;	
+    return tab[index].rsp;
   }
 
@@ -309,5 +309,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].ack;	
+    return tab[index].ack;
   }
 
@@ -320,5 +320,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].brdcast;	
+    return tab[index].brdcast;
   }
 
@@ -331,5 +331,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].update;	
+    return tab[index].update;
   }
 
@@ -342,5 +342,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].srcid;	
+    return tab[index].srcid;
   }
 
@@ -353,5 +353,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].trdid;	
+    return tab[index].trdid;
   }
 
@@ -364,5 +364,5 @@
   {
     assert(index<size_tab && "Bad Update Tab Entry");
-    return tab[index].pktid;	
+    return tab[index].pktid;
   }
 
@@ -403,5 +403,5 @@
   // - nline : the line number of the entry in the directory
   /////////////////////////////////////////////////////////////////////
-  bool read_nline(const addr_t nline,size_t &index) 
+  bool read_nline(const addr_t nline,size_t &index)
   {
     size_t i ;
@@ -422,10 +422,10 @@
   // Arguments :
   // - index : the index of the entry
-  /////////////////////////////////////////////////////////////////////       
+  /////////////////////////////////////////////////////////////////////
   void clear(const size_t index)
   {
     assert(index<size_tab && "Bad Update Tab Entry");
     tab[index].valid=false;
-    return;	
+    return;
   }
 
